This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1259928 - [abrt] gnome-shell: meta_surface_actor_wayland_get_window(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: meta_surface_actor_wayland_get_window(): gnome-shell kill...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mutter (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Florian Müllner
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:59057779a7b2ba8cd70e6afd2d3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 16:07 EDT by Christian Stadelmann
Modified: 2016-09-28 16:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-28 16:52:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.38 KB, text/plain)
2015-09-03 16:07 EDT, Christian Stadelmann
no flags Details
File: core_backtrace (4.45 KB, text/plain)
2015-09-03 16:07 EDT, Christian Stadelmann
no flags Details
File: dso_list (25.12 KB, text/plain)
2015-09-03 16:07 EDT, Christian Stadelmann
no flags Details
File: exploitable (100 bytes, text/plain)
2015-09-03 16:07 EDT, Christian Stadelmann
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-03 16:07 EDT, Christian Stadelmann
no flags Details
File: maps (129.65 KB, text/plain)
2015-09-03 16:07 EDT, Christian Stadelmann
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-03 16:07 EDT, Christian Stadelmann
no flags Details
File: open_fds (6.26 KB, text/plain)
2015-09-03 16:07 EDT, Christian Stadelmann
no flags Details
File: proc_pid_status (1019 bytes, text/plain)
2015-09-03 16:07 EDT, Christian Stadelmann
no flags Details

  None (edit)
Description Christian Stadelmann 2015-09-03 16:07:17 EDT
Version-Release number of selected component:
gnome-shell-3.17.90-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: meta_surface_actor_wayland_get_window
executable:     /usr/bin/gnome-shell
kernel:         4.2.0-1.fc23.x86_64
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 meta_surface_actor_wayland_get_window at compositor/meta-surface-actor-wayland.c:297
 #1 get_window_for_event at core/events.c:72
 #2 meta_display_handle_event at core/events.c:216
 #3 event_callback at core/events.c:353
 #4 _clutter_event_process_filters at clutter-event.c:1802
 #5 emit_pointer_event at clutter-main.c:2022
 #6 _clutter_process_event_details at clutter-main.c:2379
 #7 _clutter_process_event at clutter-main.c:2539
 #8 _clutter_input_device_set_actor at clutter-input-device.c:744
 #9 _clutter_input_device_update at clutter-input-device.c:975
Comment 1 Christian Stadelmann 2015-09-03 16:07:20 EDT
Created attachment 1070085 [details]
File: backtrace
Comment 2 Christian Stadelmann 2015-09-03 16:07:21 EDT
Created attachment 1070086 [details]
File: core_backtrace
Comment 3 Christian Stadelmann 2015-09-03 16:07:23 EDT
Created attachment 1070087 [details]
File: dso_list
Comment 4 Christian Stadelmann 2015-09-03 16:07:24 EDT
Created attachment 1070088 [details]
File: exploitable
Comment 5 Christian Stadelmann 2015-09-03 16:07:25 EDT
Created attachment 1070089 [details]
File: limits
Comment 6 Christian Stadelmann 2015-09-03 16:07:27 EDT
Created attachment 1070090 [details]
File: maps
Comment 7 Christian Stadelmann 2015-09-03 16:07:28 EDT
Created attachment 1070091 [details]
File: namespaces
Comment 8 Christian Stadelmann 2015-09-03 16:07:30 EDT
Created attachment 1070092 [details]
File: open_fds
Comment 9 Christian Stadelmann 2015-09-03 16:07:31 EDT
Created attachment 1070093 [details]
File: proc_pid_status
Comment 10 Olivier Fourdan 2015-09-07 09:31:27 EDT
Moving to mutter (crash occurs in mutter rather than gnome-shell)
Comment 11 Olivier Fourdan 2015-09-07 11:50:55 EDT
Do you have any reproducer steps for this bug?
Comment 12 Christian Stadelmann 2015-09-07 11:59:47 EDT
No, I don't have a reproducer.
Comment 13 Olivier Fourdan 2015-09-08 06:01:54 EDT
I suspect this crash might be caused by an event being processed after the window is destroyed.

But without a core file or a reproducer, it's a bit difficult to identify for sure the exact course of events that lead to this issue.
Comment 14 Christian Stadelmann 2015-09-08 10:56:10 EDT
I have a coredump and everything else abrt/libreport stores. What shall I do with it? Do you have a state-of-the-art GPG key to encrypt to? Can I send this to you via email? I don't want to have it laying here around in public.
Comment 15 Jonas Ådahl 2016-08-18 04:22:41 EDT
The upstream bug was close, so I suspect this can be closed too.
Comment 16 Christian Stadelmann 2016-09-28 16:52:38 EDT
(In reply to Jonas Ådahl from comment #15)
> The upstream bug was close, so I suspect this can be closed too.

and I haven't seen this any more and retrace hasn't either.

Note You need to log in before you can comment on or make changes to this bug.